public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Patrick McLean" <chutzpah@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/ipython/, dev-python/ipython/files/
Date: Mon,  6 Jun 2016 18:51:46 +0000 (UTC)	[thread overview]
Message-ID: <1465239097.dbb770ac32710490c529dffe6fc43b6df931798f.chutzpah@gentoo> (raw)

commit:     dbb770ac32710490c529dffe6fc43b6df931798f
Author:     Patrick McLean <chutzpah <AT> gentoo <DOT> org>
AuthorDate: Mon Jun  6 18:50:03 2016 +0000
Commit:     Patrick McLean <chutzpah <AT> gentoo <DOT> org>
CommitDate: Mon Jun  6 18:51:37 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=dbb770ac

dev-python/ipython: Add missing RDEPEND for python2, apply patch to not use on python3

Adds RDEPEND on dev-python/backports-shutil_get_terminal_size for python2, add patch from
https://github.com/ipython/ipython/pull/9417 to not require on python3.

Gentoo-Bug: 585038

Package-Manager: portage-2.3.0_rc1

 ....2.0-only-use-backports-shutil-on-python2.patch |  40 ++++++
 dev-python/ipython/ipython-4.2.0-r1.ebuild         | 145 +++++++++++++++++++++
 2 files changed, 185 insertions(+)

diff --git a/dev-python/ipython/files/ipython-4.2.0-only-use-backports-shutil-on-python2.patch b/dev-python/ipython/files/ipython-4.2.0-only-use-backports-shutil-on-python2.patch
new file mode 100644
index 0000000..ba17f0f
--- /dev/null
+++ b/dev-python/ipython/files/ipython-4.2.0-only-use-backports-shutil-on-python2.patch
@@ -0,0 +1,40 @@
+diff --git a/IPython/utils/terminal.py b/IPython/utils/terminal.py
+index 9e7be2a..a1f0f73 100644
+--- a/IPython/utils/terminal.py
++++ b/IPython/utils/terminal.py
+@@ -9,22 +9,18 @@
+ * Alexander Belchenko (e-mail: bialix AT ukr.net)
+ """
+ 
+-#-----------------------------------------------------------------------------
+-#  Copyright (C) 2008-2011  The IPython Development Team
+-#
+-#  Distributed under the terms of the BSD License.  The full license is in
+-#  the file COPYING, distributed as part of this software.
+-#-----------------------------------------------------------------------------
+-
+-#-----------------------------------------------------------------------------
+-# Imports
+-#-----------------------------------------------------------------------------
++# Copyright (c) IPython Development Team.
++# Distributed under the terms of the Modified BSD License.
+ 
+ import os
+ import struct
+ import sys
+ import warnings
+-import backports.shutil_get_terminal_size
++try:
++    from shutil import get_terminal_size as _get_terminal_size
++except ImportError:
++    # use backport on Python 2
++    from backports.shutil_get_terminal_size import get_terminal_size as _get_terminal_size
+ 
+ from . import py3compat
+ 
+@@ -122,4 +118,4 @@ def freeze_term_title():
+ 
+ 
+ def get_terminal_size(defaultx=80, defaulty=25):
+-    return backports.shutil_get_terminal_size.get_terminal_size((defaultx, defaulty))
++    return _get_terminal_size((defaultx, defaulty))

diff --git a/dev-python/ipython/ipython-4.2.0-r1.ebuild b/dev-python/ipython/ipython-4.2.0-r1.ebuild
new file mode 100644
index 0000000..dc201d7
--- /dev/null
+++ b/dev-python/ipython/ipython-4.2.0-r1.ebuild
@@ -0,0 +1,145 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_{3,4,5} )
+PYTHON_REQ_USE='readline,sqlite,threads(+)'
+
+inherit distutils-r1 eutils virtualx
+
+DESCRIPTION="Advanced interactive shell for Python"
+HOMEPAGE="http://ipython.org/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="doc examples matplotlib mongodb notebook nbconvert qt4 +smp test wxwidgets"
+
+REQUIRED_USE="
+	test? ( doc matplotlib mongodb notebook nbconvert qt4 wxwidgets )
+	doc? ( mongodb )"
+
+CDEPEND="
+	dev-python/decorator[${PYTHON_USEDEP}]
+	dev-python/pexpect[${PYTHON_USEDEP}]
+	dev-python/pickleshare[${PYTHON_USEDEP}]
+	dev-python/pyparsing[${PYTHON_USEDEP}]
+	dev-python/simplegeneric[${PYTHON_USEDEP}]
+	>=dev-python/traitlets-4.2.1[${PYTHON_USEDEP}]
+	>=dev-python/prompt_toolkit-1.0.0[${PYTHON_USEDEP}]
+	matplotlib? ( dev-python/matplotlib[${PYTHON_USEDEP}] )
+	mongodb? ( <dev-python/pymongo-3[${PYTHON_USEDEP}] )
+	wxwidgets? ( $(python_gen_cond_dep 'dev-python/wxpython:*[${PYTHON_USEDEP}]' python2_7) )"
+
+RDEPEND="${CDEPEND}
+	notebook? (
+		dev-python/notebook[${PYTHON_USEDEP}]
+		dev-python/ipywidgets[${PYTHON_USEDEP}]
+	)
+	nbconvert? ( dev-python/nbconvert[${PYTHON_USEDEP}] )"
+DEPEND="${CDEPEND}
+	>=dev-python/setuptools-18.5[${PYTHON_USEDEP}]
+	$(python_gen_cond_dep \
+		'dev-python/backports-shutil_get_terminal_size[${PYTHON_USEDEP}]' 'python2*')
+	test? (
+		app-text/dvipng
+		dev-python/jinja[${PYTHON_USEDEP}]
+		$(python_gen_cond_dep 'dev-python/mock[${PYTHON_USEDEP}]' python2_7)
+		>=dev-python/nose-0.10.1[${PYTHON_USEDEP}]
+		dev-python/pygments[${PYTHON_USEDEP}]
+		dev-python/requests[${PYTHON_USEDEP}]
+		dev-python/sphinx[${PYTHON_USEDEP}]
+		dev-python/testpath[${PYTHON_USEDEP}]
+		>=www-servers/tornado-4.0[${PYTHON_USEDEP}]
+		x11-base/xorg-server[xvfb]
+	)
+	doc? (
+		dev-python/cython[${PYTHON_USEDEP}]
+		$(python_gen_cond_dep 'dev-python/fabric[${PYTHON_USEDEP}]' python2_7)
+		>=dev-python/jsonschema-2.0[${PYTHON_USEDEP}]
+		dev-python/matplotlib[${PYTHON_USEDEP}]
+		>=dev-python/nose-0.10.1[${PYTHON_USEDEP}]
+		dev-python/rpy[${PYTHON_USEDEP}]
+		>=dev-python/sphinx-1.3[${PYTHON_USEDEP}]
+		>=www-servers/tornado-4.0[${PYTHON_USEDEP}]
+	)"
+
+PDEPEND="
+	qt4? ( dev-python/qtconsole )
+	smp? ( dev-python/ipyparallel[${PYTHON_USEDEP}] )"
+
+PATCHES=(
+	"${FILESDIR}"/2.1.0-substitute-files.patch
+	"${FILESDIR}/${P}-only-use-backports-shutil-on-python2.patch"
+	)
+
+DISTUTILS_IN_SOURCE_BUILD=1
+
+python_prepare_all() {
+	# Remove out of date insource files
+	rm IPython/extensions/rmagic.py || die
+
+	# Prevent un-needed download during build
+	if use doc; then
+		sed -e "/^    'sphinx.ext.intersphinx',/d" -i docs/source/conf.py || die
+	fi
+
+	distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+	use doc && emake -C docs html_noapi
+}
+
+python_test() {
+	distutils_install_for_testing
+	# https://github.com/ipython/ipython/issues/8639
+	# Failure of some modules only in python3.4 
+	local fail
+	run_tests() {
+		pushd ${TEST_DIR} > /dev/null || die
+		"${PYTHON}" -m IPython.testing.iptestcontroller --all || fail=1
+		popd > /dev/null || die
+	}
+	virtx run_tests
+	[[ ${fail} ]] && die "Tests fail with ${EPYTHON}"
+}
+
+python_install() {
+	distutils-r1_python_install
+
+	# Create ipythonX.Y symlinks.
+	# TODO:
+	# 1. do we want them for pypy? No.  pypy has no numpy
+	# 2. handle it in the eclass instead (use _python_ln_rel).
+	# With pypy not an option the dosym becomes unconditional
+	dosym ../lib/python-exec/${EPYTHON}/ipython \
+		/usr/bin/ipython${EPYTHON#python}
+}
+
+python_install_all() {
+	use doc && local HTML_DOCS=( docs/build/html/. )
+	distutils-r1_python_install_all
+	if use examples; then
+		insinto /usr/share/doc/${PF}/examples
+		doins -r examples/.
+		docompress -x /usr/share/doc/${PF}/examples
+	fi
+}
+
+pkg_postinst() {
+	optfeature "sympyprinting" dev-python/sympy
+	optfeature "cythonmagic" dev-python/cython
+	optfeature "%lprun magic command" dev-python/line_profiler
+	optfeature "%mprun magic command" dev-python/memory_profiler
+	if use nbconvert; then
+		if ! has_version app-text/pandoc ; then
+			einfo "Node.js will be used to convert notebooks to other formats"
+			einfo "like HTML. Support for that is still experimental. If you"
+			einfo "encounter any problems, please use app-text/pandoc instead."
+		fi
+	fi
+}


             reply	other threads:[~2016-06-06 18:51 UTC|newest]

Thread overview: 7+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-06-06 18:51 Patrick McLean [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-01-04 12:29 [gentoo-commits] repo/gentoo:master commit in: dev-python/ipython/, dev-python/ipython/files/ Michał Górny
2024-12-20  0:02 Sam James
2024-07-27  9:53 Michał Górny
2015-10-10 15:48 Justin Lecher
2015-09-22  9:25 Justin Lecher
2015-09-17 18:37 Justin Lecher

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1465239097.dbb770ac32710490c529dffe6fc43b6df931798f.chutzpah@gentoo \
    --to=chutzpah@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox